
package encapsuladores;

public class Persona {
    private String dni;
    private String password;
    private String nombre;
    private Persona responsable;

    public String getDni() {
        return dni;
    }

    public void setDni(String dni) {
        this.dni = dni;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getNombre() {
        return nombre;
    }

    public void setNombre(String nombre) {
        this.nombre = nombre;
    }

    public Persona instanciarTransferirAtributosObjetoEspecifico(Persona persona) {                         
         return persona;
    }      
    
    public void setResponsable(Persona responsable) {
        this.responsable = responsable;
    }

    public Persona getResponsable() {                         
         return responsable;
    }       
}
